function sandy_boot()
    sandy_active = not (portal_build or dev_mode)

    if sandy_active then
        sandy_str = {}
        file_load_strings("sandy_str", "strings_fw.txt")
        file_load_strings("sandy_str", "strings_fw_local.txt")
        file_load_lua("framework/views/activate_full_version.lua")
        check_activation_status()
        if demo_mode then
            sandy_restore_full_screen = gfx_full_screen()
            gfx_full_screen(false)
        end
    end
end


function sandy_init()
    if sandy_active and demo_mode then
        fw:change_view(ActivateFullVersion)
    else
        sandy_done()
    end
end


function sandy_done()
    if sandy_active then
        sandy_str = nil
        toggle_full_screen_at_transition = sandy_restore_full_screen
        sandy_restore_full_screen = nil
    end

    start_game()
end
